{% extends "base.html" %}
{% load static %}
{% block content%}
<div style="padding-top:50px">
    <div class="container">
        <div class='row'>
          <div class="col">
            <center>
            <h1 style="padding-bottom: 20px;">My Friends</h1>
                <!-- Button trigger modal -->
                <button style="margin-bottom:3%" type="button" class="btn btn-primary" data-toggle="modal" data-target="#exampleModal">
                    Friend Requests
                </button>
                
                <!-- Modal -->
                <div class="modal fade" id="exampleModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
                    <div class="modal-dialog">
                    <div class="modal-content">
                        <div class="modal-header">
                        <h5 class="modal-title" id="exampleModalLabel">Friend Requests</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                        </div>
                        <div class="modal-body">
                            
                            {% for friend_request in all_friend_request %}
                            <h1>{{friend_request.from_user}}<a href="/accept_friend_request/{{friend_request.id}}">accept friend request</a></h1>
                            {% endfor %}
                        
                            {% if not rec_friends %}
                                <h5><i>No recieved requests!</i></h5>
                            {% else %}
                            {% for r_request in rec_friends %}
                            <div class="card text-center" style="margin: 0 20%; border-radius:90px; background: linear-gradient(180deg, #898CF1 0%, #3BB4FF 100%);
                            margin-bottom:15px;box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25), 0px 4px 4px rgba(0, 0, 0, 0.25);">
                                <div class="header">
                                    <h5 style="color: white;" class="card-title">{{ r_request.from_user.userlink }}</h5>
                                    <a class='btn btn-success mr-2' href="/accept_friend_request/{{ r_request.id }}" style="margin-bottom:5px; border-radius:90px;">Accept</a>
                                    <a class='btn btn-danger' href="/decline_friend_request/{{ r_request.id }}" style="margin-bottom:5px; border-radius:90px;">Reject</a><br>
                                </div>
                            </div>
                        
                            {% endfor %}
                            {% endif %}
                        </div>
                    </div>
                    </div>
                </div>
            
                {% if friend %}
                {% for user_p in friend %}
                
                <div class="card text-center" style="margin: 0% 20% 0; border-radius:90px; background: linear-gradient(180deg, #898CF1 0%, #3BB4FF 100%);
                 margin-bottom:15px;box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25), 0px 4px 4px rgba(0, 0, 0, 0.25);">
                    <div class="header" style="padding: 0% 5% 0%;">
                        <h5 style="color: white;margin-top:1%" class="card-title">{{ user_p }}</h5>
                        <a class="btn btn-danger btn-sm" href="{% url 'djangu:delete' user_p.id %}"  style="margin-bottom:5px; border-radius:90px; margin: 0% 20% 1%;">UnFriend</a>
                    </div>
                </div>
                
                {% endfor %}
                {% else %}
             
                <h5><i>You have no friends now! Make some new <a href="{% url 'djangu:searchfriends' %}">friends here!</a></i></h5>
                
                {% endif %}
            </div>
        </center>
        </div>
</div>
<style>
    body {
        background: url("{% static 'bg.png' %}");
        background-size: 100%;
        background-attachment: fixed;
        background-repeat: no-repeat;
    }
    @media only screen and (max-width: 576px) {
        body {
            background: white;
            padding-top: 30px;
        }
    }
</style>
{% endblock %}